<?php
namespace Magento\GiftMessage\Block\Adminhtml\Sales\Order\Create\Items;

/**
 * Interceptor class for @see \Magento\GiftMessage\Block\Adminhtml\Sales\Order\Create\Items
 */
class Interceptor extends \Magento\GiftMessage\Block\Adminhtml\Sales\Order\Create\Items implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\GiftMessage\Helper\Message $messageHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $messageHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
